Subject: Bug#437: Session resume problems

From: Ondřej Pacovský <[email-masked]>
Date: Mon, 24 Feb 2014 13:36:31 +0100

Package: nxagent
Version: 3.5.0.22

I have been using x2go for many months now,

client (Debian amd64 4.0.1.1-1),
x2goserver  (Debian amd64 4.0.1.6-0)

.. is the current version, but it's been the same ever since.

I use it in the "single application" mode, starting only xfce4-terminal and
all the other windows are spawned from that terminal.

What happens is that very often (I would say 20-30% of the cases -- it's
not deterministic), I would resume a session, it is "resumed", but no
windows appear. Nothing helps, suspending and resuming does not work. The
only thing to do is to terminate the session and start anew. It's quite
annoying:)  I wonder if anyone has this issue or am I doing something wrong
/ non-standard? How can I debug this?

BTW, I use awesome wm now, but the same was happening to me on xfce, too

-- Ondrej